<template>
  <!-- 货权转移页面 -->
  <div class="shipTransport">
    <div class="top">
     <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
 <el-button type="primary" class="btn" @click="onclick">
 <i class="el-icon-search"></i>查询
 </el-button>
      <el-button type="primary" class="btn" @click="addClick">
        <i class="el-icon-circle-plus-outline"></i>新增
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
      <el-table-column fixed="right" label="操作" width="100">
        <template slot-scope="scope">
          <el-button @click="modifyclick(scope.row.cargoTransferResultId)" type="text" size="small"
            >修改</el-button
          >
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.cargoTransferResultId)"
            >删除</el-button
          >
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getAmsshipCargoTranferResultList?apiId=66",
      },
    };
  },

  methods: {
    onclick() {
      // this.option.requestUrl = "/api/v1/tms/getAmsshipCargoTranferResultList?apiId=66&con=" + this.input;
    },
    addClick() {
      this.$router.push("/addCargoResult/");
    },
    modifyclick(cargoTransferResultId){
       this.$router.push("/modifyCargoResult/" + cargoTransferResultId);
    },
    deleteclick(scope) {
      let cargoTransferResultId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          this.axios
            .post(
              "/api/v1/tms/deleteByCargoId/" + cargoTransferResultId
            )
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.shipTransport {
  .top {
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 1.25rem;
    }
  }
}
</style>
